Package be.fgov.ehealth.samcivics.type.v2

# Class FindParagraphType

java.lang.Object
be.fgov.ehealth.samcivics.type.v2.BaseType
be.fgov.ehealth.samcivics.type.v2.FindParagraphType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:16+02:00", comments="JAXB RI v4.0.5") public class FindParagraphType extends BaseType implements Serializable
Response structure returning information on paragraph in reimbursement

Java class for FindParagraphType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindParagraphType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
           <sequence>
             <element name="ChapterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ParagraphName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindParagraphType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChapterName()`
  Gets the value of the chapterName property.
  `String`
  `getParagraphName()`
  Gets the value of the paragraphName property.
  `void`
  `setChapterName(String value)`
  Sets the value of the chapterName property.
  `void`
  `setParagraphName(String value)`
  Sets the value of the paragraphName property.

  ### Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType

  `getEndDate, getStartDate, setEndDate, setStartDate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindParagraphType

    public FindParagraphType()

- ## Method Details

  - ### getChapterName

    public String getChapterName()
    Gets the value of the chapterName property.
    Returns:
      possible object is `String`

  - ### setChapterName

    public void setChapterName(String value)
    Sets the value of the chapterName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParagraphName

    public String getParagraphName()
    Gets the value of the paragraphName property.
    Returns:
      possible object is `String`

  - ### setParagraphName

    public void setParagraphName(String value)
    Sets the value of the paragraphName property.
    Parameters:
      `value` - allowed object is `String`